> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List resources for REST version specified

GET https://demo.docusign.net/restapi/v2.1

Retrieves the base resources available for the eSignature REST API.

You do not need an integrator key to view the REST API versions and resources.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/diagnostics/resources/get

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Response

### 200

Successful response.

- `resources` (list of nameValue, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### nameValue

A name-value pair that describes an item and provides a value for the item.

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional) — The name of the item.
- `originalValue` (string, optional) — The initial value of the item.
- `value` (string, optional) — The current value of the item.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Response**

```json
{
  "resources": [
    {
      "errorDetails": {
        "errorCode": "sample string 1",
        "message": "sample string 2"
      },
      "name": "sample string 1",
      "originalValue": "sample string 2",
      "value": "sample string 3"
    }
  ]
}
```